This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 450340 - Need to recompile for new fc10 compiz packages?
Need to recompile for new fc10 compiz packages?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libcompizconfig (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Mohd Izhar Firdaus Ismail
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-06 15:04 EDT by Tom London
Modified: 2008-06-07 22:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-07 22:54:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2008-06-06 15:04:53 EDT
Description of problem:
fusion-icon now complains about not being able to load ccp plugin.

Also, 'compiz --replace ccp' complains. 'compiz --replace glib gconf' succeeds.

Does this need to be recompiled?  Something else?

I notice that the last update to /usr/lib/compiz/libccp.so was on 26 March
 
Version-Release number of selected component (if applicable):
libcompizconfig-0.7.2-1.fc9.i386

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mohd Izhar Firdaus Ismail 2008-06-06 23:21:59 EDT
i'm not on rawhide yet, could you give me the output when compiz --replace ccp
executed from terminal?

also, rpm -qa compiz\*
Comment 2 Tom London 2008-06-07 11:52:58 EDT
Sure:

[tbl@localhost ~]$ compiz --replace ccp
compiz (core) - Error: no 'core' plugin with ABI version '20080214' loaded

compiz (ccp) - Error: InitObject failed
compiz (core) - Error: Couldn't activate plugin 'ccp'
failed to create drawable
Segmentation fault
[tbl@localhost ~]$ 

The Seg fault happened a bit later.  Let me know if you want me to track that down.

[tbl@localhost ~]$ rpm -qa \*compiz\*
compiz-fusion-extras-gnome-0.7.6-2.fc10.i386
compiz-debuginfo-0.7.6-3.fc10.i386
compizconfig-python-0.7.2-1.fc9.i386
compiz-gnome-0.7.6-3.fc10.i386
compiz-manager-0.6.0-7.fc9.noarch
compiz-fusion-extras-0.7.6-2.fc10.i386
gnome-compiz-manager-0.10.4-4.fc10.i386
compizconfig-backend-gconf-0.7.2-1.fc9.i386
compiz-fusion-0.7.6-2.fc10.i386
compiz-fusion-gnome-0.7.6-2.fc10.i386
libcompizconfig-0.7.2-1.fc9.i386
compiz-0.7.6-3.fc10.i386
[tbl@localhost ~]$ 

Comment 3 Tom London 2008-06-07 22:54:09 EDT
libcompizconfig-0.7.6-1.fc10.i386 fixes this for me.

Thanks for the quick response!

No more issues with:

[tbl@localhost ~]$ LIBGL_ALWAYS_INDIRECT=1 compiz --indirect-rendering
--sm-disable --replace ccp&
[1] 18462
[tbl@localhost ~]$ 

And no more problem with "fusion-icon".

Note You need to log in before you can comment on or make changes to this bug.